Subject: Re: WARNING: refcount bug in sk_alloc (2)

From: syzbot <[email-masked]>
Date: Sat, 21 Mar 2020 03:06:03 -0700

syzbot has bisected this bug to:

commit b78e9d63a3b6307b6b786e6ba189d3978b60ceb5
Author: Thomas Bogendoerfer <[email-masked]>
Date:   Thu Jan 9 12:33:40 2020 +0000

    MIPS: SGI-IP27: use asm/sn/agent.h for including HUB related stuff

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=17330a23e00000
start commit:   0d1c3530 net_sched: keep alloc_hash updated after hash all..
git tree:       net
final crash:    https://syzkaller.appspot.com/x/report.txt?x=14b30a23e00000
console output: https://syzkaller.appspot.com/x/log.txt?x=10b30a23e00000
kernel config:  https://syzkaller.appspot.com/x/.config?x=c2e311dba9a02ba9
dashboard link: https://syzkaller.appspot.com/bug?extid=b1212b1215db82ff9211
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14e76a39e00000

Reported-by: [email-masked]
Fixes: b78e9d63a3b6 ("MIPS: SGI-IP27: use asm/sn/agent.h for including HUB related stuff")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection